---
when:
  event:
    - push

steps:
  - name: Build and push a container image
    image: zot.badhouseplants.net/badhouseplants/badhouseplants-builder:latest
    environment:
      BUILDAH_REG: zot.badhouseplants.net/badhouseplants/open-strike
    privileged: true
    secrets:
      - registry_token
    commands:
      - build-container
    backend_options:
      kubernetes:
        resources:
          requests:
            memory: 700Mi
            cpu: 1000m
          limits:
            cpu: 1000m
        securityContext:
          privileged: true

